# HG changeset patch
# Node ID f43b52837298
# Parent  f886f74847b0
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -986,6 +986,7 @@
 		* pidgin_accounts_get_ui_ops
 		* pidgin_accounts_window_hide
 		* pidgin_accounts_window_show, use pidgin_account_manager_new instead.
+		* pidgin_add_widget_to_vbox
 		* pidgin_append_blist_node_extended_menu
 		* pidgin_append_blist_node_privacy_menu
 		* pidgin_append_blist_node_proto_menu
@@ -1226,6 +1227,8 @@
 		* pidgin_privacy_dialog_show
 		* pidgin_privacy_init
 		* pidgin_protocol_option_menu_get_selected
+		* pidgin_retrieve_user_info
+		* pidgin_retrieve_user_info_in_chat
 		* pidgin_request_add_permit
 		* pidgin_request_add_block
 		* pidgin_save_accels
diff --git a/pidgin/gtkutils.h b/pidgin/gtkutils.h
--- a/pidgin/gtkutils.h
+++ b/pidgin/gtkutils.h
@@ -36,31 +36,6 @@
 G_BEGIN_DECLS
 
 /**
- * pidgin_retrieve_user_info:
- * @conn:   The connection to get information from.
- * @name:   The user to get information about.
- *
- * Get information about a user. Show immediate feedback.
- *
- * Since: 2.1
- */
-PIDGIN_AVAILABLE_IN_2_1
-void pidgin_retrieve_user_info(PurpleConnection *conn, const char *name);
-
-/**
- * pidgin_retrieve_user_info_in_chat:
- * @conn:   The connection to get information from.
- * @name:   The user to get information about.
- * @chatid: The chat id.
- *
- * Get information about a user in a chat. Show immediate feedback.
- *
- * Since: 2.1
- */
-PIDGIN_AVAILABLE_IN_2_1
-void pidgin_retrieve_user_info_in_chat(PurpleConnection *conn, const char *name, int chatid);
-
-/**
  * pidgin_set_accessible_label:
  * @w: The widget that we want to name.
  * @l: A GtkLabel that we want to use as the ATK name for the widget.
@@ -86,24 +61,6 @@
 PIDGIN_AVAILABLE_IN_2_4
 gboolean pidgin_auto_parent_window(GtkWidget *window);
 
-/**
- * pidgin_add_widget_to_vbox:
- * @vbox:         The vertically-oriented GtkBox to add the widget to.
- * @widget_label: The label to give the widget, can be %NULL.
- * @sg:           The GtkSizeGroup to add the label to, can be %NULL.
- * @widget:       The GtkWidget to add.
- * @expand:       Whether to expand the widget horizontally.
- * @p_label:      Place to store a pointer to the GtkLabel, or %NULL if you don't care.
- *
- * Add a labelled widget to a GtkBox
- *
- * Returns:  (transfer full): A GtkBox already added to the GtkBox containing the GtkLabel and the GtkWidget.
- *
- * Since: 2.4
- */
-PIDGIN_AVAILABLE_IN_2_4
-GtkWidget *pidgin_add_widget_to_vbox(GtkBox *vbox, const char *widget_label, GtkSizeGroup *sg, GtkWidget *widget, gboolean expand, GtkWidget **p_label);
-
 G_END_DECLS
 
 #endif /* _PIDGINUTILS_H_ */
diff --git a/pidgin/gtkutils.c b/pidgin/gtkutils.c
--- a/pidgin/gtkutils.c
+++ b/pidgin/gtkutils.c
@@ -38,44 +38,6 @@
  *****************************************************************************/
 
 void
-pidgin_retrieve_user_info(PurpleConnection *conn, const char *name) {
-	PurpleNotifyUserInfo *info = NULL;
-	PurpleProtocol *protocol = NULL;
-
-	protocol = purple_connection_get_protocol(conn);
-	if(!PURPLE_IS_PROTOCOL_SERVER(protocol)) {
-		return;
-	}
-
-	purple_protocol_server_get_info(PURPLE_PROTOCOL_SERVER(protocol), conn,
-	                                name);
-
-	info = purple_notify_user_info_new();
-	purple_notify_user_info_add_pair_plaintext(info, _("Information"),
-	                                           _("Retrieving..."));
-	purple_notify_userinfo(conn, name, info, NULL, NULL);
-	purple_notify_user_info_destroy(info);
-}
-
-void pidgin_retrieve_user_info_in_chat(PurpleConnection *conn, const char *name, int chat)
-{
-	char *who = NULL;
-	PurpleProtocol *protocol = NULL;
-
-	if (chat < 0) {
-		pidgin_retrieve_user_info(conn, name);
-		return;
-	}
-
-	protocol = purple_connection_get_protocol(conn);
-	if (protocol != NULL)
-		who = purple_protocol_chat_get_user_real_name(PURPLE_PROTOCOL_CHAT(protocol), conn, chat, name);
-
-	pidgin_retrieve_user_info(conn, who ? who : name);
-	g_free(who);
-}
-
-void
 pidgin_set_accessible_label(GtkWidget *w, GtkLabel *l)
 {
 	GtkAccessible *acc, *label;
@@ -91,42 +53,6 @@
 	                               label, NULL, -1);
 }
 
-GtkWidget *
-pidgin_add_widget_to_vbox(GtkBox *vbox, const char *widget_label, GtkSizeGroup *sg, GtkWidget *widget, gboolean expand, GtkWidget **p_label)
-{
-	GtkWidget *hbox;
-	GtkWidget *label = NULL;
-
-	if (widget_label) {
-		hbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 5);
-		gtk_box_append(vbox, hbox);
-
-		label = gtk_label_new_with_mnemonic(widget_label);
-		if (sg) {
-			gtk_label_set_xalign(GTK_LABEL(label), 0);
-			gtk_size_group_add_widget(sg, label);
-		}
-		gtk_box_append(GTK_BOX(hbox), label);
-
-		gtk_widget_set_hexpand(widget, expand);
-		gtk_box_append(GTK_BOX(hbox), widget);
-	} else {
-		gtk_widget_set_vexpand(widget, expand);
-		gtk_box_append(vbox, widget);
-
-		hbox = GTK_WIDGET(vbox);
-	}
-
-	if (label) {
-		gtk_label_set_mnemonic_widget(GTK_LABEL(label), widget);
-		pidgin_set_accessible_label(widget, GTK_LABEL(label));
-	}
-
-	if (p_label)
-		(*p_label) = label;
-	return hbox;
-}
-
 gboolean pidgin_auto_parent_window(GtkWidget *widget)
 {
 	/* This finds the currently active window and makes that the parent window. */
